Support » Plugin: Contact Form by WPForms - Drag & Drop Form Builder for WordPress » Error on update to 1.5.9.5 from 1.5.8.2

  • Hello,

    I’m getting an error while upgrading from v1.5.8.2 to v1.5.9.5, forcing the site to enter in recovery mode.

    The error I get is:

    An error of type E_ERROR was caused in line 75 of the file /home/ps3jnewq/public_html/staging01/wp-content/plugins/wpforms-lite/vendor/woocommerce/action-scheduler/classes/data-stores/ActionScheduler_DBStore.php. Error message: Uncaught RuntimeException: Error saving action: Table ‘ps3jnewq_wp376.wpstg0_actionscheduler_actions’ doesn’t exist in /home/ps3jnewq/public_html/staging01/wp-content/plugins/wpforms-lite/vendor/woocommerce/action-scheduler/classes/data-stores/ActionScheduler_DBStore.php:75 Stack trace: #0 /home/ps3jnewq/public_html/staging01/wp-content/plugins/wpforms-lite/vendor/woocommerce/action-scheduler/classes/ActionScheduler_ActionFactory.php(177): ActionScheduler_DBStore->save_action(Object(ActionScheduler_Action)) #1 /home/ps3jnewq/public_html/staging01/wp-content/plugins/wpforms-lite/vendor/woocommerce/action-scheduler/classes/ActionScheduler_ActionFactory.php(105): ActionScheduler_ActionFactory->store(Object(ActionScheduler_Action)) #2 /home/ps3jnewq/public_html/staging01/wp-content/plugins/wpforms-lite/vendor/woocommerce/action-scheduler/functions.php(45): ActionScheduler_ActionFactory->recurring(‘wpforms_process…’, Array, 1585008000, 86400, ‘wpforms’) #3 /home/ps3jnewq/public_html/staging01/wp-content/plugins/

    I appreciate your suggestions to solve it.

    Thanks

Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Support Ethan Choi

    (@ethanchoi)

    Hi @pchenriques,

    We apologize for the trouble with that!

    Please try the following steps to fix this:

    1. In the WordPress admin area, open /wp-admin/options.php page on your site.
    2. On this page find options schema-ActionScheduler_LoggerSchema, schema-ActionScheduler_StoreSchema, and action_scheduler_migration_status and remove their values (leave them empty), save options changes.
    3. Activate WPForms plugin again.

    Please let me know how it goes.

    Thanks!

    Hi, @ethanchoi

    Thanks for the feedback but your suggestion didn’t solve it. Actually, I don’t find any of the entries you mention in /wp-admin/options.php file.

    Alternative fix?

    Thanks

    Plugin Support Ethan Choi

    (@ethanchoi)

    Hi @pchenriques,

    Please try logging into your site, then opening the following page on your browser (replace example.com with your site domain):

    https://example.com/wp-admin/tools.php?page=action-scheduler

    This should trigger the ‘Action Scheduler’ code library to automatically recreate the required tables.

    Please let me know how it goes.

    Thanks!

    • This reply was modified 8 months, 1 week ago by Ethan Choi.

    Hi @ethanchoi

    What is the supposed output after running your suggestion? I follow it and just got a message in the browser that “Sorry, you are not allowed to access this page.”. Still the same error message.

    The error message, I mentioned above, refers to Woocommerce. I don’t have Woocommerce plugin installed. How is it related? Do I have to instal it to fix the issue?

    Either at the LIVE site or STAGING site where I’m testing the upgrade of the plugin, I’m stuck with v1.5.8.2.

    Looking forward to your new suggestions to fix it.

    Thanks

    Plugin Support Ethan Choi

    (@ethanchoi)

    Hi @pchenriques,

    When you get the chance, could you check if you’ve logged in with Administrator user credentials, and try again?

    We had recently included a background processing library in the plugin. However, some WooCommerce addons accidentally had included older version of that library briefly. If you had one of those addons installed previously this would cause the a conflict you’re encountering. However you do not need to install WooCommerce plugin.

    Hi @ethanchoi,

    Sorry for the late reply… Yes, I’m logged in as Administrator. Still, I get the same message: “Sorry, you are not allowed to access this page.”. What could that mean?

    I’m not using WooCommerce but if I remember it correctly the theme I’m using OceanWP came with it as default.

    Still, stuck in v1.5.8.2.

    New suggestion to overcome the issue?

    Thanks

    Plugin Support Ethan Choi

    (@ethanchoi)

    Hi @pchenriques,

    Could you let us know if you’re on a multisite? In that case you may need a Super Admin role.

    Thanks!

    Plugin Support Ethan Choi

    (@ethanchoi)

    Hey @pchenriques,

    You may also want to check that WPForms Lite is activated when you access that link in your WordPress admin area.

    Thanks!

    Hi @ethanchoi

    No multisite.

    Is activated in v1.5.8.2. Still the same message. If I upgrade to v1.5.9.5 I can’t activate because it crashes the site.

    I’ve been testing in a staging site, clone of the live site. Would it be possible for you to look at it? Or is there any other approach to solve it?

    Thanks

    Hi @ethanchoi

    I’ve fixed the issue! I looked at this thread and follow the suggestion:

    Until then, you may wish to install this Action Scheduler plugin: https://github.com/woocommerce/action-scheduler/archive/3.1.4.zip

    After WooCommerce 4.0.1 is released and you’ve updated, you can deactivate & uninstall that plugin.

    And it worked!

    Thanks for the support.

    Plugin Support Ethan Choi

    (@ethanchoi)

    Hey @pchenriques,

    Thanks for the update, and I’m glad to hear you’ve got that solved 🙂

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Error on update to 1.5.9.5 from 1.5.8.2’ is closed to new replies.